scala.util

# logging

#### package logging

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### trait ConsoleLogger extends Logged

   The trait `ConsoleLogger` is mixed into a concrete class who has class `Logged` among its base classes.

2. #### trait Logged extends AnyRef

   Mixing in Logged indicates that a class provides support for logging.

### Ungrouped